<?

/* This file is part of "DAV Drupal Module".
 *    Copyright 2008, karma-lab.net
 *    Author : Yoran Brault
 *    eMail  : software@_bad_karma-lab.net (remove _bad_ before sending an email)
 *    Site   : http://artisan.karma-lab.net
 *
 * "DAV Drupal Module" is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * "DAV Drupal Module" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with "DAV Drupal Module"; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

define(WEBDAV_DEBUG_SERVER, FALSE);

/**
 * output a debug header (syslog).
 *
 * @param $message message
 */
function webdav_debug_header($message) {
  error_log($message);
}

/**
 * output a debug message (syslog).
 *
 * @param $message message
 */
function webdav_debug($message) {
  error_log("  ".$message);
}



/**
 * Show closing session query, ainly used to log access in watchdog . 
 */
function webdav_debug_close_query(&$session){
  if (webdav_is_debug() ) {
    error_log("Request closing ".(webdav_is_error($session)?"error":"status")." : ".(empty($session->status)?"OK":$session->status));
  }
  if (webdav_is_watchdog()) {
    if ($_SERVER['REQUEST_METHOD']!="PROPFIND" && $_SERVER['REQUEST_METHOD']!="OPTIONS") {
      watchdog('webdav', "WebDAV access to @query method<br/>status:@status", array(
    '@query' => $_SERVER['REQUEST_METHOD'],
     '@status' => $session->status,
      )
      ,webdav_is_error($session)?WATCHDOG_ERROR:WATCHDOG_NOTICE);
    }
  }
}

/**
 * Check if watchdog logging is enabled.
 *
 * @return true if enabled.
 */
function webdav_is_watchdog() {
  return variable_get("webdav_watchdog", true);
}

/**
 * Check if debug logging is enabled.
 *
 * @return true if enabled.
 */
function webdav_is_debug() {
  return variable_get("webdav_debug", true);
}
