<?

/* This file is part of "DAV Drupal Module".
 *    Copyright 2008, karma-lab.net
 *    Author : Yoran Brault
 *    eMail  : software@_bad_karma-lab.net (remove _bad_ before sending an email)
 *    Site   : http://artisan.karma-lab.net
 *
 * "DAV Drupal Module" is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * "DAV Drupal Module" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with "DAV Drupal Module"; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */


/**
 * WebDAV server configuration form.
 *
 * @return form
 */
function webdav_admin_settings() {
  $form=array();
  $form['debugging'] = array (
    '#type' => 'fieldset',
    '#title' => t('Debugging'),
    '#weight' => -20,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  $form['debugging']['webdav_log'] = array (
      '#type' => 'checkbox', 
      '#title' => t("Log access"), 
      '#default_value' => webdav_is_watchdog(), 
      '#description' => t("Log every access to watchdog.")
  );
  $form['debugging']['webdav_debug'] = array (
      '#type' => 'checkbox', 
      '#title' => t("Debug mode"), 
      '#default_value' => webdav_is_debug(), 
      '#description' => t("Activate debug mode using error_log (syslog)")
  );
  $form['misc']['webdav_compression'] = array (
      '#type' => 'checkbox', 
      '#title' => t("WebDAV compression"), 
      '#default_value' => webdav_is_compression(), 
      '#description' => t("Activate WebDAV compression")
  );  
  $form['misc']['webdav_lock_timeout'] = array (
      '#type' => 'textfield', 
      '#title' => t("Locks timeout"), 
      '#default_value' => webdav_lock_timeout(), 
      '#description' => t("Delay before a lock is automaticaly released (seconds).")
  );    
    return system_settings_form($form);
}