<?

/* This file is part of "DAV Drupal Module".
 *    Copyright 2008, karma-lab.net
 *    Author : Yoran Brault
 *    eMail  : software@_bad_karma-lab.net (remove _bad_ before sending an email)
 *    Site   : http://artisan.karma-lab.net
 *
 * "DAV Drupal Module" is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * "DAV Drupal Module" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with "DAV Drupal Module"; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

function webdav_node_admin_settings() {
  $form['node_create'] = array (
    '#type' => 'fieldset',
    '#title' => t('When a node is created'),
    '#weight' => -20,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  $form['node_create']['webdav_node_body'] = array (
      '#type' => 'textarea', 
      '#title' => t("Creation body"), 
      '#default_value' => webdav_node_body(), 
      '#description' => t("When a node is created, what is the default body.")
  );
  $form['node_create']['webdav_node_log'] = array (
      '#type' => 'textfield', 
      '#title' => t("Creating log"), 
      '#default_value' => webdav_node_log(), 
      '#description' => t("Message to put it node log when ceated.")
  );


  $form['node_update'] = array (
    '#type' => 'fieldset',
    '#title' => t('When a node is updated'),
    '#weight' => -20,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );

  $form['node_update']['webdav_node_create_revisions'] = array (
      '#type' => 'checkbox', 
      '#title' => t("Create a revision"), 
      '#default_value' => webdav_node_create_revisions(), 
      '#description' => t("Create a new revision each time a dav node is saved.")
  );

  $form['node_update']['webdav_node_revisions_message'] = array (
      '#type' => 'textfield', 
      '#title' => t("Revision message"), 
      '#default_value' => webdav_node_revisions_message(), 
      '#description' => t("Message to use as revision log.")
  );

  $form['webdav_node_nodes_limit'] = array (
      '#type' => 'textfield', 
      '#title' => t("Maximum nodes to retreive"), 
      '#default_value' => webdav_node_nodes_limit(), 
      '#description' => t("Enter a limit to the number of node to put in 'nodes' folder. 0 or less means infinite.")
  );
  
  $form['mapping'] = array (
    '#type' => 'fieldset',
    '#title' => t('Node formats mapping'),
    '#weight' => -20,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );

  $formats = filter_formats();
  foreach ($formats as $name => $format) {
    $variable = 'dav_nodes_extension_mapping_' . $format->format;
    $form['mapping'][$variable] = array (
      '#type' => 'textfield', 
      '#title' => t("Mapping for '@format_name' format", array ('@format_name' => $format->name)), 
      '#default_value' => variable_get($variable, 'html'), 
      '#size' => 20, 
      '#maxlength' => 20, 
      '#description' => t("Extension to use with this format")
    );

    $variable = 'dav_nodes_mime_type_mapping_' . $format->format;
    $form['mapping'][$variable] = array (
      '#type' => 'textfield',
      '#default_value' => variable_get($variable, 'text/html'), 
      '#size' => 20, 
      '#maxlength' => 20, 
      '#description' => t("Mime type to use with to use with this format")
    );
  }

  return system_settings_form($form);
}
